import request from '@/utils/request'

// 查询能源设施能流关系列表
export function listRel(query) {
  return request({
    url: '/ems/object/flowrel/list',
    method: 'get',
    params: query
  })
}

// 查询能源设施能流关系详细
export function getRel(id) {
  return request({
    url: '/ems/object/flowrel/' + id,
    method: 'get'
  })
}

// 新增能源设施能流关系
export function addRel(data) {
  return request({
    url: '/ems/object/flowrel',
    method: 'post',
    data: data
  })
}

// 修改能源设施能流关系
export function updateRel(data) {
  return request({
    url: '/ems/object/flowrel',
    method: 'put',
    data: data
  })
}

// 删除能源设施能流关系
export function delRel(id) {
  return request({
    url: '/ems/object/flowrel/' + id,
    method: 'delete'
  })
}
